/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.project.entity;


import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.Collections3;
import com.jeeplus.common.utils.IdGen;
import com.jeeplus.common.utils.StringUtils;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.work.entity.report.WorkReportRecord;
import com.jeeplus.modules.workclientinfo.entity.WorkClientInfo;
import com.jeeplus.modules.workcontractinfo.entity.WorkContractInfo;

import java.util.List;

/**
 * 标段信息Entity
 * @author 姚儒彬
 * @version 2017-10-11
 */
public class BidInformation extends DataEntity<BidInformation> {
	
	private static final long serialVersionUID = 1L;
	private String bidOpeningTime;		// 开标时间
	private String winningBidNumber;		// 中标通知书编号
	private String centralInvestmentOnline;		// 中央投资网是否上传(0否,1是)
	private String tendereeArchives;		// 招标人是否承存档(0否,1是)
	private String paperArchiving;		// 纸质归档(0否,1是)
	private String timeOfWinningBid;		// 中标通知书发放时间
	private String filingTime;		// 备案时间
	private String firstAcceptanceTime;		// 首次接收时间
	private String finalArchivingTime;		// 最终归档时间
	private String processInstanceId;		// 流程实例ID
	private String status;		// 归档状态
	private String projectId;		// 项目表主键
	private Project project;    //项目表
	private Workprojectgroup workprojectgroup; //项目组信息表
	private WorkClientInfo workClientInfo;   //客户信息表
	private Archivedirectory archivedirectory; //归档目录表
	private List<Archivedirectory> archivedirectoryList = Lists.newArrayList();
	
	public BidInformation() {
		super();
	}

	public BidInformation(String id){
		super(id);
	}

	@ExcelField(title="开标时间", align=2, sort=7)
	public String getBidOpeningTime() {
		return bidOpeningTime;
	}

	public void setBidOpeningTime(String bidOpeningTime) {
		this.bidOpeningTime = bidOpeningTime;
	}
	
	@ExcelField(title="中标通知书编号", align=2, sort=8)
	public String getWinningBidNumber() {
		return winningBidNumber;
	}

	public void setWinningBidNumber(String winningBidNumber) {
		this.winningBidNumber = winningBidNumber;
	}
	
	@ExcelField(title="中央投资网是否上传(0否,1是)", dictType="", align=2, sort=9)
	public String getCentralInvestmentOnline() {
		return centralInvestmentOnline;
	}

	public void setCentralInvestmentOnline(String centralInvestmentOnline) {
		this.centralInvestmentOnline = centralInvestmentOnline;
	}
	
	@ExcelField(title="招标人是否承存档(0否,1是)", dictType="", align=2, sort=10)
	public String getTendereeArchives() {
		return tendereeArchives;
	}

	public void setTendereeArchives(String tendereeArchives) {
		this.tendereeArchives = tendereeArchives;
	}
	
	@ExcelField(title="纸质归档(0否,1是)", dictType="", align=2, sort=11)
	public String getPaperArchiving() {
		return paperArchiving;
	}

	public void setPaperArchiving(String paperArchiving) {
		this.paperArchiving = paperArchiving;
	}
	
	@ExcelField(title="中标通知书发放时间", align=2, sort=12)
	public String getTimeOfWinningBid() {
		return timeOfWinningBid;
	}

	public void setTimeOfWinningBid(String timeOfWinningBid) {
		this.timeOfWinningBid = timeOfWinningBid;
	}
	
	@ExcelField(title="备案时间", align=2, sort=13)
	public String getFilingTime() {
		return filingTime;
	}

	public void setFilingTime(String filingTime) {
		this.filingTime = filingTime;
	}
	
	@ExcelField(title="首次接收时间", align=2, sort=14)
	public String getFirstAcceptanceTime() {
		return firstAcceptanceTime;
	}

	public void setFirstAcceptanceTime(String firstAcceptanceTime) {
		this.firstAcceptanceTime = firstAcceptanceTime;
	}
	
	@ExcelField(title="最终归档时间", align=2, sort=15)
	public String getFinalArchivingTime() {
		return finalArchivingTime;
	}

	public void setFinalArchivingTime(String finalArchivingTime) {
		this.finalArchivingTime = finalArchivingTime;
	}
	
	@ExcelField(title="流程实例ID", align=2, sort=16)
	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}
	
	@ExcelField(title="归档状态", align=2, sort=17)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	@ExcelField(title="项目表主键", align=2, sort=18)
	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}

	@ExcelField(title="项目信息", align=2, sort=19)
	public Project getProject() {
		return project;
	}

	public void setProject(Project project) {
		this.project = project;
	}

	@ExcelField(title="项目组信息", align=2, sort=20)
	public Workprojectgroup getWorkprojectgroup() {
		return workprojectgroup;
	}

	public void setWorkprojectgroup(Workprojectgroup workprojectgroup) {
		this.workprojectgroup = workprojectgroup;
	}

	@ExcelField(title="客户信息表", align=2, sort=21)
	public WorkClientInfo getWorkClientInfo() {
		return workClientInfo;
	}

	public void setWorkClientInfo(WorkClientInfo workClientInfo) {
		this.workClientInfo = workClientInfo;
	}

	@ExcelField(title="归档目录表", align=2, sort=22)
	public Archivedirectory getArchivedirectory() {
		return archivedirectory;
	}

	public void setArchivedirectory(Archivedirectory archivedirectory) {
		this.archivedirectory = archivedirectory;
	}

	public List<Archivedirectory> getArchivedirectoryList() {
		return archivedirectoryList;
	}
	public void setArchivedirectoryList(List<Archivedirectory> archivedirectoryList) {
		this.archivedirectoryList = archivedirectoryList;
	}

}